Change in docker-playground[master]: jenkins-common.sh: exit if image fails to build

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Thu Jan 24 15:06:28 UTC 2019


osmith has uploaded this change for review. ( https://gerrit.osmocom.org/12690


Change subject: jenkins-common.sh: exit if image fails to build
......................................................................

jenkins-common.sh: exit if image fails to build

docker_images_require() must fail when a new image can not be built,
even if an old image already exists.

We have this situation in a lot of the -latest tests right now, which
makes it harder to find the actual error.

Change-Id: I7039089457b62b8798a79c5efd62bd91622986d3
---
M jenkins-common.sh
1 file changed, 1 insertion(+), 1 deletion(-)



  git pull ssh://gerrit.osmocom.org:29418/docker-playground refs/changes/90/12690/1

diff --git a/jenkins-common.sh b/jenkins-common.sh
index f3d6c61..4289d0b 100644
--- a/jenkins-common.sh
+++ b/jenkins-common.sh
@@ -7,7 +7,7 @@
 		# Trigger image build (cache will be used when up-to-date)
 		if [ -z "$NO_DOCKER_IMAGE_BUILD" ]; then
 			echo "Building image: $i (export NO_DOCKER_IMAGE_BUILD=1 to prevent this)"
-			make -C "../$i"
+			make -C "../$i" || exit 1
 		fi
 
 		# Detect missing images (build skipped/failure)

-- 
To view, visit https://gerrit.osmocom.org/12690
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: I7039089457b62b8798a79c5efd62bd91622986d3
Gerrit-Change-Number: 12690
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190124/92878050/attachment.htm>


More information about the gerrit-log mailing list